#!/usr/bin/perl
use strict;
use warnings;
use Test::More;

my @files = ('lib/Dist/Zilla/Plugin/PodWeaver.pm');
plan tests => @files + 0;

for (@files) {
  next if /Tutorial.pm/;
  s/^lib.//;
  s/.pm$//;
  s{[\\/]}{::}g;

  ok(
    eval "require $_; 1",
    "loaded $_ with no problems",
  ) or diag $@;
}
